<?php

class CT_CtHeading_Widget extends Case_Theme_Core_Widget_Base{
    protected $name = 'ct_heading';
    protected $title = 'Case Heading';
    protected $icon = 'eicon-heading';
    protected $categories = array( 'case-theme-core' );
    protected $params = '{"sections":[{"name":"title_section","label":"Title","tab":"content","controls":[{"name":"text_align","label":"Alignment","type":"choose","control_type":"responsive","options":{"left":{"title":"Left","icon":"fa fa-align-left"},"center":{"title":"Center","icon":"fa fa-align-center"},"right":{"title":"Right","icon":"fa fa-align-right"}},"selectors":{"{{WRAPPER}} .ct-heading":"text-align: {{VALUE}};"}},{"name":"title","label":"Title","type":"textarea","label_block":true,"description":"Create highlight text width shortcode: [highlight text=\"Text Demo\"]"},{"name":"icon_image","label":"Icon Image","type":"media","description":"Select image icon."},{"name":"highlight_color","label":"Text Highlight Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .ct-text-highlight":"color: {{VALUE}};"}},{"name":"highlight_color_gradient","label":"Text Highlight Color Gradient","type":"color"},{"name":"text_below_shadow","label":"Text Below Shadow","type":"textarea","label_block":true},{"name":"text_below_color","label":"Text Below Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .ct-heading-text-below":"color: {{VALUE}};"}},{"name":"text_below_border_color","label":"Text Below Border Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .ct-heading-text-below":"text-stroke-color: {{VALUE}};-webkit-text-stroke-color: {{VALUE}};-ms-text-stroke-color: {{VALUE}};-o-text-stroke-color: {{VALUE}};"}},{"name":"text_below_offset","label":"Text Below Offset Right","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .ct-heading .ct-heading-text-below":"transform: translateX({{SIZE}}{{UNIT}});"}},{"name":"text_below_offset_top","label":"Text Below Offset Top","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .ct-heading .ct-heading-text-below":"margin-top: -{{SIZE}}{{UNIT}};"}},{"name":"title_tag","label":"Heading HTML Tag","type":"select","options":{"h1":"H1","h2":"H2","h3":"H3","h4":"H4","h5":"H5","h6":"H6","div":"div","span":"span","p":"p"},"default":"h3"},{"name":"title_color","label":"Title Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--title":"color: {{VALUE}};"}},{"name":"title_typography","label":"Title Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-heading .item--title"},{"name":"title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":0},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--title":"margin-bottom: {{SIZE}}{{UNIT}};"}},{"name":"style","label":"Style","type":"select","options":{"st-default":"Default","st-hexagon":"Hexagon"},"default":"st-default"},{"name":"hexagon_line_color","label":"Hexagon Line Color","type":"color","selectors":{"{{WRAPPER}} .ct-heading.item-st-hexagon::before, {{WRAPPER}} .ct-heading .ct-heading-hexagon-line::before, {{WRAPPER}} .ct-heading .ct-heading-hexagon-line::after":"background-color: {{VALUE}};"},"condition":{"style":"st-hexagon"}},{"name":"hexagon_line_width","label":"Hexagon Line Width","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading.item-st-hexagon::before":"width: {{SIZE}}{{UNIT}};"}},{"name":"ct_animate","label":"Case Animate","type":"select","options":{"":"None","case-fade-in-up":"Case Fade In Up","wow bounce":"bounce","wow flash":"flash","wow pulse":"pulse","wow rubberBand":"rubberBand","wow shake":"shake","wow swing":"swing","wow tada":"tada","wow wobble":"wobble","wow bounceIn":"bounceIn","wow bounceInDown":"bounceInDown","wow bounceInLeft":"bounceInLeft","wow bounceInRight":"bounceInRight","wow bounceInUp":"bounceInUp","wow bounceOut":"bounceOut","wow bounceOutDown":"bounceOutDown","wow bounceOutLeft":"bounceOutLeft","wow bounceOutRight":"bounceOutRight","wow bounceOutUp":"bounceOutUp","wow fadeIn":"fadeIn","wow fadeInDown":"fadeInDown","wow fadeInDownBig":"fadeInDownBig","wow fadeInLeft":"fadeInLeft","wow fadeInLeftBig":"fadeInLeftBig","wow fadeInRight":"fadeInRight","wow fadeInRightBig":"fadeInRightBig","wow fadeInUp":"fadeInUp","wow fadeInUpBig":"fadeInUpBig","wow fadeOut":"fadeOut","wow fadeOutDown":"fadeOutDown","wow fadeOutDownBig":"fadeOutDownBig","wow fadeOutLeft":"fadeOutLeft","wow fadeOutLeftBig":"fadeOutLeftBig","wow fadeOutRight":"fadeOutRight","wow fadeOutRightBig":"fadeOutRightBig","wow fadeOutUp":"fadeOutUp","wow fadeOutUpBig":"fadeOutUpBig","wow flip":"flip","wow flipInX":"flipInX","wow flipInY":"flipInY","wow flipOutX":"flipOutX","wow flipOutY":"flipOutY","wow lightSpeedIn":"lightSpeedIn","wow lightSpeedOut":"lightSpeedOut","wow rotateIn":"rotateIn","wow rotateInDownLeft":"rotateInDownLeft","wow rotateInDownRight":"rotateInDownRight","wow rotateInUpLeft":"rotateInUpLeft","wow rotateInUpRight":"rotateInUpRight","wow rotateOut":"rotateOut","wow rotateOutDownLeft":"rotateOutDownLeft","wow rotateOutDownRight":"rotateOutDownRight","wow rotateOutUpLeft":"rotateOutUpLeft","wow rotateOutUpRight":"rotateOutUpRight","wow hinge":"hinge","wow rollIn":"rollIn","wow rollOut":"rollOut","wow zoomIn":"zoomIn","wow zoomInDown":"zoomInDown","wow zoomInLeft":"zoomInLeft","wow zoomInRight":"zoomInRight","wow zoomInUp":"zoomInUp","wow zoomOut":"zoomOut","wow zoomOutDown":"zoomOutDown","wow zoomOutLeft":"zoomOutLeft","wow zoomOutRight":"zoomOutRight","wow zoomOutUp":"zoomOutUp"},"default":""},{"name":"ct_animate_delay","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]},{"name":"sub_title_section","label":"Sub Title","tab":"content","condition":{"style":["st-default"]},"controls":[{"name":"sub_title","label":"Sub Title","type":"text","label_block":true},{"name":"sub_title_color","label":"Sub Title Color Main","type":"color","selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"color: {{VALUE}} !important;"}},{"name":"sub_title_color_gradient","label":"Sub Title Color Gradient","type":"color"},{"name":"box_color_main","label":"Box Color Main","type":"color","condition":{"sub_title_style":"style-button"}},{"name":"box_color_gradient","label":"Box Color Gradient","type":"color","condition":{"sub_title_style":"style-button"}},{"name":"sub_title_typography","label":"Sub Title Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .ct-heading .item--sub-title"},{"name":"sub_title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .ct-heading .item--sub-title":"margin-bottom: {{SIZE}}{{UNIT}};"}},{"name":"sub_title_padding","label":"Padding","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .ct-heading .item--sub-title span":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"sub_title_style","label":"Style","type":"select","options":{"style-default":"Default","style-button":"Button"},"default":"style-default"}]}]}';
    protected $styles = array(  );
    protected $scripts = array( 'ct-inline-css-js' );
}